Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.propono.blogclient.atomprotocol
Class AtomConnection

    java.lang.Object
      com.sun.syndication.propono.blogclient.atomprotocol.AtomConnection

All Implemented Interfaces:
  BlogConnection

    public class AtomConnection

extends Object
implements BlogConnection

Atom protocol of BlogConnection. Connects to Atom server, creates AtomBlog object for each Atom workspace found and within each blog a collection for each Atom collection found.

Constructor Summary
`AtomConnection(String uri, String username, String password)` Create Atom blog client instance for specified URL and user account.

Method Summary
`Blog` | `getBlog(String token)` Get blog by token
`List` | `getBlogs()` Returns collection of blogs available from this connection
`void` | `setAppkey(String appkey)` Set appkey (optional, needed by some blog servers)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AtomConnection

    public AtomConnection(String uri,
                          String username,
                          String password)
                   throws BlogClientException

  Create Atom blog client instance for specified URL and user account.

  Parameters:
    `uri` - End-point URL of Atom service
    `username` - Username of account
    `password` - Password of account
  Throws:
    `BlogClientException`

Method Detail

### getBlogs

    public List getBlogs()

  Returns collection of blogs available from this connection

  Specified by:
    `getBlogs` in interface `BlogConnection`

### getBlog

    public Blog getBlog(String token)

  Get blog by token

  Specified by:
    `getBlog` in interface `BlogConnection`

### setAppkey

    public void setAppkey(String appkey)

  Set appkey (optional, needed by some blog servers)

  Specified by:
    `setAppkey` in interface `BlogConnection`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD